## lz4json 0

=== debian/changelog ===
lz4json (0-1) unstable; urgency=medium

  * Initial release (Closes: #917282)

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 25 Dec 2018 03:31:47 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

## lz4json 1

=== debian/changelog ===
lz4json (1-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches (upstreamed).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 14 Jan 2019 12:27:57 +0100

## lz4json 2

=== Makefile ===
CFLAGS := -g -O2 -Wall
LDLIBS := $(shell pkg-config --cflags --libs liblz4)

lz4jsoncat: lz4jsoncat.c

clean:
	rm -f lz4jsoncat

=== debian/changelog ===
lz4json (2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #931020)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Make pkg-config substitutable.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 24 Jun 2019 23:04:07 +0200

lz4json (2-1) unstable; urgency=medium

  * New upstream release.
  * Pass dpkg's buildflags.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 10 Feb 2019 23:45:38 +0100

=== debian/control ===
Source: lz4json
Section: web
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 11), pkg-config, liblz4-dev
Standards-Version: 4.3.0
Homepage: https://github.com/andikleen/lz4json
Vcs-Browser: https://github.com/kilobyte/lz4json/tree/debian
Vcs-Git: https://github.com/kilobyte/lz4json -b debian

Package: lz4json
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: unpack lz4json files, usually generated by Mozilla programs
 Instead of a standard .json.lz4, Firefox uses its own format to compress
 its bookmarks and session restore files.  This tool lets you read them,
 converting to json.  Going from json to a human-readable format is then
 up to you.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$$(dpkg-buildflags --get CFLAGS)"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/lz4json-$1\.tar\.gz/ \
  https://github.com/andikleen/lz4json/tags .*/v(\d\S*)\.tar\.gz
